​
Select Service
ves-io-schema-ip_prefix_set-API-List
Published April 5, 2023 | Last modified September 8, 2026
Examples of listing ip_prefix_set
Usecase:
List all ip-prefix-set from system namespace
Request using vesctl:
vesctl configuration list ip_prefix_set --namespace system
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: acmecorp-white-list namespace: system statusSet: [] tenant: acmecorp uid: 6c1437fd-2022-426e-a501-eecfe1acd544- annotations: {} labels: {} name: ddos-black-list namespace: system statusSet: [] tenant: acmecorp uid: 54f08ae9-21ef-4434-bb75-8bf6de6ed8dbRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/ip_prefix_sets'curl response
HTTP/1.1 200 OKContent-Length: 842Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:03:21 GMTVary: Accept-EncodingX-Volterra-Response-Fields-Deprecated: items.#.get_spec.ipv6_prefix.#,items.#.get_spec.prefix.#
{ "items": [ { "tenant": "acmecorp", "namespace": "system", "name": "acmecorp-white-list", "uid": "6c1437fd-2022-426e-a501-eecfe1acd544", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] }, { "tenant": "acmecorp", "namespace": "system", "name": "ddos-black-list", "uid": "54f08ae9-21ef-4434-bb75-8bf6de6ed8db", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}